Page MenuHomeFreeBSD

net/rtg several fixes picked up from PR 227376
AbandonedPublic

Authored by rodrigo on Oct 21 2018, 3:37 PM.

Details

Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227376

Commit message will be:

  • Fix runtime PHP errors that stop the code working if short_opentag is disabled (default!)
  • Remove most PHP warnings/notices that go to error_log
  • Convert patches to new format where needed
  • Fix HTML output to be valid
  • Fix quoting of SQL objects
  • Fix escaping of user-provided SQL data (potential sql injection)
  • Widen fields in 95.php and 95.pl for interface and router names
  • Fix warnings in perl modules in newer perl versions
  • Fix createdb script to use CREATE USER/GRANT not manipulate user db directly
  • Add "Update_desc" config entry to auto-update port descriptions from snmp
  • Update default SNMP version to 2
  • Although this doesn't reference any CVE's, it does contain fixes for potential security issues

    PR: 227376 Submitted by: freebsd-ports@dan.me.uk (maintainer) Reported by: freebsd-ports@dan.me.uk (maintainer) Reviewed by: mfechner@FreeBSD.org Approved by: mentors (...), portsmgr MFC after: 2 days MFH: 2018Q4
Test Plan

Testbuild was successful

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mfechner created this revision.Oct 21 2018, 3:37 PM
mfechner edited the summary of this revision. (Show Details)Oct 21 2018, 3:40 PM
This revision was not accepted when it landed; it landed in state Needs Review.Nov 7 2018, 7:41 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Nov 7 2018, 8:37 PM
head/net/rtg/Makefile
20–22

You do not want flavors, you want subpackages. So no to flavors for this.

mfechner reopened this revision.Nov 8 2018, 4:20 PM

As commit was reverted by @mat I have reopened the revision again to the maintainer can fix the requested change.

andrew.fengler_scaleengine.com requested changes to this revision.Apr 30 2019, 5:44 PM

RTG has stopped working with modern perl without these patches. I've attempted to contact the maintainer for a few weeks but have had no luck. Can we just get the flavour bits of the patch removed and the rest committed? That way we at least get it back to a working state.

This revision now requires changes to proceed.Apr 30 2019, 5:44 PM
rodrigo commandeered this revision.May 31 2019, 11:25 AM
rodrigo added a reviewer: mfechner.
rodrigo added a subscriber: rodrigo.

This review was abandoned by its the author (freebsd-ports@dan.me.uk).
A new patch was submitted for the PR 227376 who takes in count @mat remarks.

So, as the new assignee for the PR 227376, I take the ownership for this review and close it.

rodrigo abandoned this revision.May 31 2019, 11:27 AM

Abandoned by the author, a new patch was submitted who solves the open issues.